Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network32.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
32.0.0.0
Broadcast address
39.255.255.255
First usable
32.0.0.1
Last usable
39.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
A (default /8)
As numbers
Hex 20000000 · Integer 536870912 to 671088639
Reverse DNS zones
32.in-addr.arpa
33.in-addr.arpa
34.in-addr.arpa
35.in-addr.arpa
36.in-addr.arpa
37.in-addr.arpa
38.in-addr.arpa
39.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100000.00000000.00000000.0000000032.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network00100000.00000000.00000000.0000000032.0.0.0
Broadcast00100111.11111111.11111111.1111111139.255.255.255
Split into smaller subnets/13

32.0.0.0/5 makes 256 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
132.0.0.0/1332.0.0.1 to 32.7.255.25432.7.255.255524,286
232.8.0.0/1332.8.0.1 to 32.15.255.25432.15.255.255524,286
332.16.0.0/1332.16.0.1 to 32.23.255.25432.23.255.255524,286
432.24.0.0/1332.24.0.1 to 32.31.255.25432.31.255.255524,286
532.32.0.0/1332.32.0.1 to 32.39.255.25432.39.255.255524,286
632.40.0.0/1332.40.0.1 to 32.47.255.25432.47.255.255524,286
732.48.0.0/1332.48.0.1 to 32.55.255.25432.55.255.255524,286
832.56.0.0/1332.56.0.1 to 32.63.255.25432.63.255.255524,286
932.64.0.0/1332.64.0.1 to 32.71.255.25432.71.255.255524,286
1032.72.0.0/1332.72.0.1 to 32.79.255.25432.79.255.255524,286
1132.80.0.0/1332.80.0.1 to 32.87.255.25432.87.255.255524,286
1232.88.0.0/1332.88.0.1 to 32.95.255.25432.95.255.255524,286
1332.96.0.0/1332.96.0.1 to 32.103.255.25432.103.255.255524,286
1432.104.0.0/1332.104.0.1 to 32.111.255.25432.111.255.255524,286
1532.112.0.0/1332.112.0.1 to 32.119.255.25432.119.255.255524,286
1632.120.0.0/1332.120.0.1 to 32.127.255.25432.127.255.255524,286
1732.128.0.0/1332.128.0.1 to 32.135.255.25432.135.255.255524,286
1832.136.0.0/1332.136.0.1 to 32.143.255.25432.143.255.255524,286
1932.144.0.0/1332.144.0.1 to 32.151.255.25432.151.255.255524,286
2032.152.0.0/1332.152.0.1 to 32.159.255.25432.159.255.255524,286
2132.160.0.0/1332.160.0.1 to 32.167.255.25432.167.255.255524,286
2232.168.0.0/1332.168.0.1 to 32.175.255.25432.175.255.255524,286
2332.176.0.0/1332.176.0.1 to 32.183.255.25432.183.255.255524,286
2432.184.0.0/1332.184.0.1 to 32.191.255.25432.191.255.255524,286
2532.192.0.0/1332.192.0.1 to 32.199.255.25432.199.255.255524,286
2632.200.0.0/1332.200.0.1 to 32.207.255.25432.207.255.255524,286
2732.208.0.0/1332.208.0.1 to 32.215.255.25432.215.255.255524,286
2832.216.0.0/1332.216.0.1 to 32.223.255.25432.223.255.255524,286
2932.224.0.0/1332.224.0.1 to 32.231.255.25432.231.255.255524,286
3032.232.0.0/1332.232.0.1 to 32.239.255.25432.239.255.255524,286
3132.240.0.0/1332.240.0.1 to 32.247.255.25432.247.255.255524,286
3232.248.0.0/1332.248.0.1 to 32.255.255.25432.255.255.255524,286
3333.0.0.0/1333.0.0.1 to 33.7.255.25433.7.255.255524,286
3433.8.0.0/1333.8.0.1 to 33.15.255.25433.15.255.255524,286
3533.16.0.0/1333.16.0.1 to 33.23.255.25433.23.255.255524,286
3633.24.0.0/1333.24.0.1 to 33.31.255.25433.31.255.255524,286
3733.32.0.0/1333.32.0.1 to 33.39.255.25433.39.255.255524,286
3833.40.0.0/1333.40.0.1 to 33.47.255.25433.47.255.255524,286
3933.48.0.0/1333.48.0.1 to 33.55.255.25433.55.255.255524,286
4033.56.0.0/1333.56.0.1 to 33.63.255.25433.63.255.255524,286
4133.64.0.0/1333.64.0.1 to 33.71.255.25433.71.255.255524,286
4233.72.0.0/1333.72.0.1 to 33.79.255.25433.79.255.255524,286
4333.80.0.0/1333.80.0.1 to 33.87.255.25433.87.255.255524,286
4433.88.0.0/1333.88.0.1 to 33.95.255.25433.95.255.255524,286
4533.96.0.0/1333.96.0.1 to 33.103.255.25433.103.255.255524,286
4633.104.0.0/1333.104.0.1 to 33.111.255.25433.111.255.255524,286
4733.112.0.0/1333.112.0.1 to 33.119.255.25433.119.255.255524,286
4833.120.0.0/1333.120.0.1 to 33.127.255.25433.127.255.255524,286
4933.128.0.0/1333.128.0.1 to 33.135.255.25433.135.255.255524,286
5033.136.0.0/1333.136.0.1 to 33.143.255.25433.143.255.255524,286
5133.144.0.0/1333.144.0.1 to 33.151.255.25433.151.255.255524,286
5233.152.0.0/1333.152.0.1 to 33.159.255.25433.159.255.255524,286
5333.160.0.0/1333.160.0.1 to 33.167.255.25433.167.255.255524,286
5433.168.0.0/1333.168.0.1 to 33.175.255.25433.175.255.255524,286
5533.176.0.0/1333.176.0.1 to 33.183.255.25433.183.255.255524,286
5633.184.0.0/1333.184.0.1 to 33.191.255.25433.191.255.255524,286
5733.192.0.0/1333.192.0.1 to 33.199.255.25433.199.255.255524,286
5833.200.0.0/1333.200.0.1 to 33.207.255.25433.207.255.255524,286
5933.208.0.0/1333.208.0.1 to 33.215.255.25433.215.255.255524,286
6033.216.0.0/1333.216.0.1 to 33.223.255.25433.223.255.255524,286
6133.224.0.0/1333.224.0.1 to 33.231.255.25433.231.255.255524,286
6233.232.0.0/1333.232.0.1 to 33.239.255.25433.239.255.255524,286
6333.240.0.0/1333.240.0.1 to 33.247.255.25433.247.255.255524,286
6433.248.0.0/1333.248.0.1 to 33.255.255.25433.255.255.255524,286
6534.0.0.0/1334.0.0.1 to 34.7.255.25434.7.255.255524,286
6634.8.0.0/1334.8.0.1 to 34.15.255.25434.15.255.255524,286
6734.16.0.0/1334.16.0.1 to 34.23.255.25434.23.255.255524,286
6834.24.0.0/1334.24.0.1 to 34.31.255.25434.31.255.255524,286
6934.32.0.0/1334.32.0.1 to 34.39.255.25434.39.255.255524,286
7034.40.0.0/1334.40.0.1 to 34.47.255.25434.47.255.255524,286
7134.48.0.0/1334.48.0.1 to 34.55.255.25434.55.255.255524,286
7234.56.0.0/1334.56.0.1 to 34.63.255.25434.63.255.255524,286
7334.64.0.0/1334.64.0.1 to 34.71.255.25434.71.255.255524,286
7434.72.0.0/1334.72.0.1 to 34.79.255.25434.79.255.255524,286
7534.80.0.0/1334.80.0.1 to 34.87.255.25434.87.255.255524,286
7634.88.0.0/1334.88.0.1 to 34.95.255.25434.95.255.255524,286
7734.96.0.0/1334.96.0.1 to 34.103.255.25434.103.255.255524,286
7834.104.0.0/1334.104.0.1 to 34.111.255.25434.111.255.255524,286
7934.112.0.0/1334.112.0.1 to 34.119.255.25434.119.255.255524,286
8034.120.0.0/1334.120.0.1 to 34.127.255.25434.127.255.255524,286
8134.128.0.0/1334.128.0.1 to 34.135.255.25434.135.255.255524,286
8234.136.0.0/1334.136.0.1 to 34.143.255.25434.143.255.255524,286
8334.144.0.0/1334.144.0.1 to 34.151.255.25434.151.255.255524,286
8434.152.0.0/1334.152.0.1 to 34.159.255.25434.159.255.255524,286
8534.160.0.0/1334.160.0.1 to 34.167.255.25434.167.255.255524,286
8634.168.0.0/1334.168.0.1 to 34.175.255.25434.175.255.255524,286
8734.176.0.0/1334.176.0.1 to 34.183.255.25434.183.255.255524,286
8834.184.0.0/1334.184.0.1 to 34.191.255.25434.191.255.255524,286
8934.192.0.0/1334.192.0.1 to 34.199.255.25434.199.255.255524,286
9034.200.0.0/1334.200.0.1 to 34.207.255.25434.207.255.255524,286
9134.208.0.0/1334.208.0.1 to 34.215.255.25434.215.255.255524,286
9234.216.0.0/1334.216.0.1 to 34.223.255.25434.223.255.255524,286
9334.224.0.0/1334.224.0.1 to 34.231.255.25434.231.255.255524,286
9434.232.0.0/1334.232.0.1 to 34.239.255.25434.239.255.255524,286
9534.240.0.0/1334.240.0.1 to 34.247.255.25434.247.255.255524,286
9634.248.0.0/1334.248.0.1 to 34.255.255.25434.255.255.255524,286
9735.0.0.0/1335.0.0.1 to 35.7.255.25435.7.255.255524,286
9835.8.0.0/1335.8.0.1 to 35.15.255.25435.15.255.255524,286
9935.16.0.0/1335.16.0.1 to 35.23.255.25435.23.255.255524,286
10035.24.0.0/1335.24.0.1 to 35.31.255.25435.31.255.255524,286
10135.32.0.0/1335.32.0.1 to 35.39.255.25435.39.255.255524,286
10235.40.0.0/1335.40.0.1 to 35.47.255.25435.47.255.255524,286
10335.48.0.0/1335.48.0.1 to 35.55.255.25435.55.255.255524,286
10435.56.0.0/1335.56.0.1 to 35.63.255.25435.63.255.255524,286
10535.64.0.0/1335.64.0.1 to 35.71.255.25435.71.255.255524,286
10635.72.0.0/1335.72.0.1 to 35.79.255.25435.79.255.255524,286
10735.80.0.0/1335.80.0.1 to 35.87.255.25435.87.255.255524,286
10835.88.0.0/1335.88.0.1 to 35.95.255.25435.95.255.255524,286
10935.96.0.0/1335.96.0.1 to 35.103.255.25435.103.255.255524,286
11035.104.0.0/1335.104.0.1 to 35.111.255.25435.111.255.255524,286
11135.112.0.0/1335.112.0.1 to 35.119.255.25435.119.255.255524,286
11235.120.0.0/1335.120.0.1 to 35.127.255.25435.127.255.255524,286
11335.128.0.0/1335.128.0.1 to 35.135.255.25435.135.255.255524,286
11435.136.0.0/1335.136.0.1 to 35.143.255.25435.143.255.255524,286
11535.144.0.0/1335.144.0.1 to 35.151.255.25435.151.255.255524,286
11635.152.0.0/1335.152.0.1 to 35.159.255.25435.159.255.255524,286
11735.160.0.0/1335.160.0.1 to 35.167.255.25435.167.255.255524,286
11835.168.0.0/1335.168.0.1 to 35.175.255.25435.175.255.255524,286
11935.176.0.0/1335.176.0.1 to 35.183.255.25435.183.255.255524,286
12035.184.0.0/1335.184.0.1 to 35.191.255.25435.191.255.255524,286
12135.192.0.0/1335.192.0.1 to 35.199.255.25435.199.255.255524,286
12235.200.0.0/1335.200.0.1 to 35.207.255.25435.207.255.255524,286
12335.208.0.0/1335.208.0.1 to 35.215.255.25435.215.255.255524,286
12435.216.0.0/1335.216.0.1 to 35.223.255.25435.223.255.255524,286
12535.224.0.0/1335.224.0.1 to 35.231.255.25435.231.255.255524,286
12635.232.0.0/1335.232.0.1 to 35.239.255.25435.239.255.255524,286
12735.240.0.0/1335.240.0.1 to 35.247.255.25435.247.255.255524,286
12835.248.0.0/1335.248.0.1 to 35.255.255.25435.255.255.255524,286
12936.0.0.0/1336.0.0.1 to 36.7.255.25436.7.255.255524,286
13036.8.0.0/1336.8.0.1 to 36.15.255.25436.15.255.255524,286
13136.16.0.0/1336.16.0.1 to 36.23.255.25436.23.255.255524,286
13236.24.0.0/1336.24.0.1 to 36.31.255.25436.31.255.255524,286
13336.32.0.0/1336.32.0.1 to 36.39.255.25436.39.255.255524,286
13436.40.0.0/1336.40.0.1 to 36.47.255.25436.47.255.255524,286
13536.48.0.0/1336.48.0.1 to 36.55.255.25436.55.255.255524,286
13636.56.0.0/1336.56.0.1 to 36.63.255.25436.63.255.255524,286
13736.64.0.0/1336.64.0.1 to 36.71.255.25436.71.255.255524,286
13836.72.0.0/1336.72.0.1 to 36.79.255.25436.79.255.255524,286
13936.80.0.0/1336.80.0.1 to 36.87.255.25436.87.255.255524,286
14036.88.0.0/1336.88.0.1 to 36.95.255.25436.95.255.255524,286
14136.96.0.0/1336.96.0.1 to 36.103.255.25436.103.255.255524,286
14236.104.0.0/1336.104.0.1 to 36.111.255.25436.111.255.255524,286
14336.112.0.0/1336.112.0.1 to 36.119.255.25436.119.255.255524,286
14436.120.0.0/1336.120.0.1 to 36.127.255.25436.127.255.255524,286
14536.128.0.0/1336.128.0.1 to 36.135.255.25436.135.255.255524,286
14636.136.0.0/1336.136.0.1 to 36.143.255.25436.143.255.255524,286
14736.144.0.0/1336.144.0.1 to 36.151.255.25436.151.255.255524,286
14836.152.0.0/1336.152.0.1 to 36.159.255.25436.159.255.255524,286
14936.160.0.0/1336.160.0.1 to 36.167.255.25436.167.255.255524,286
15036.168.0.0/1336.168.0.1 to 36.175.255.25436.175.255.255524,286
15136.176.0.0/1336.176.0.1 to 36.183.255.25436.183.255.255524,286
15236.184.0.0/1336.184.0.1 to 36.191.255.25436.191.255.255524,286
15336.192.0.0/1336.192.0.1 to 36.199.255.25436.199.255.255524,286
15436.200.0.0/1336.200.0.1 to 36.207.255.25436.207.255.255524,286
15536.208.0.0/1336.208.0.1 to 36.215.255.25436.215.255.255524,286
15636.216.0.0/1336.216.0.1 to 36.223.255.25436.223.255.255524,286
15736.224.0.0/1336.224.0.1 to 36.231.255.25436.231.255.255524,286
15836.232.0.0/1336.232.0.1 to 36.239.255.25436.239.255.255524,286
15936.240.0.0/1336.240.0.1 to 36.247.255.25436.247.255.255524,286
16036.248.0.0/1336.248.0.1 to 36.255.255.25436.255.255.255524,286
16137.0.0.0/1337.0.0.1 to 37.7.255.25437.7.255.255524,286
16237.8.0.0/1337.8.0.1 to 37.15.255.25437.15.255.255524,286
16337.16.0.0/1337.16.0.1 to 37.23.255.25437.23.255.255524,286
16437.24.0.0/1337.24.0.1 to 37.31.255.25437.31.255.255524,286
16537.32.0.0/1337.32.0.1 to 37.39.255.25437.39.255.255524,286
16637.40.0.0/1337.40.0.1 to 37.47.255.25437.47.255.255524,286
16737.48.0.0/1337.48.0.1 to 37.55.255.25437.55.255.255524,286
16837.56.0.0/1337.56.0.1 to 37.63.255.25437.63.255.255524,286
16937.64.0.0/1337.64.0.1 to 37.71.255.25437.71.255.255524,286
17037.72.0.0/1337.72.0.1 to 37.79.255.25437.79.255.255524,286
17137.80.0.0/1337.80.0.1 to 37.87.255.25437.87.255.255524,286
17237.88.0.0/1337.88.0.1 to 37.95.255.25437.95.255.255524,286
17337.96.0.0/1337.96.0.1 to 37.103.255.25437.103.255.255524,286
17437.104.0.0/1337.104.0.1 to 37.111.255.25437.111.255.255524,286
17537.112.0.0/1337.112.0.1 to 37.119.255.25437.119.255.255524,286
17637.120.0.0/1337.120.0.1 to 37.127.255.25437.127.255.255524,286
17737.128.0.0/1337.128.0.1 to 37.135.255.25437.135.255.255524,286
17837.136.0.0/1337.136.0.1 to 37.143.255.25437.143.255.255524,286
17937.144.0.0/1337.144.0.1 to 37.151.255.25437.151.255.255524,286
18037.152.0.0/1337.152.0.1 to 37.159.255.25437.159.255.255524,286
18137.160.0.0/1337.160.0.1 to 37.167.255.25437.167.255.255524,286
18237.168.0.0/1337.168.0.1 to 37.175.255.25437.175.255.255524,286
18337.176.0.0/1337.176.0.1 to 37.183.255.25437.183.255.255524,286
18437.184.0.0/1337.184.0.1 to 37.191.255.25437.191.255.255524,286
18537.192.0.0/1337.192.0.1 to 37.199.255.25437.199.255.255524,286
18637.200.0.0/1337.200.0.1 to 37.207.255.25437.207.255.255524,286
18737.208.0.0/1337.208.0.1 to 37.215.255.25437.215.255.255524,286
18837.216.0.0/1337.216.0.1 to 37.223.255.25437.223.255.255524,286
18937.224.0.0/1337.224.0.1 to 37.231.255.25437.231.255.255524,286
19037.232.0.0/1337.232.0.1 to 37.239.255.25437.239.255.255524,286
19137.240.0.0/1337.240.0.1 to 37.247.255.25437.247.255.255524,286
19237.248.0.0/1337.248.0.1 to 37.255.255.25437.255.255.255524,286
19338.0.0.0/1338.0.0.1 to 38.7.255.25438.7.255.255524,286
19438.8.0.0/1338.8.0.1 to 38.15.255.25438.15.255.255524,286
19538.16.0.0/1338.16.0.1 to 38.23.255.25438.23.255.255524,286
19638.24.0.0/1338.24.0.1 to 38.31.255.25438.31.255.255524,286
19738.32.0.0/1338.32.0.1 to 38.39.255.25438.39.255.255524,286
19838.40.0.0/1338.40.0.1 to 38.47.255.25438.47.255.255524,286
19938.48.0.0/1338.48.0.1 to 38.55.255.25438.55.255.255524,286
20038.56.0.0/1338.56.0.1 to 38.63.255.25438.63.255.255524,286
20138.64.0.0/1338.64.0.1 to 38.71.255.25438.71.255.255524,286
20238.72.0.0/1338.72.0.1 to 38.79.255.25438.79.255.255524,286
20338.80.0.0/1338.80.0.1 to 38.87.255.25438.87.255.255524,286
20438.88.0.0/1338.88.0.1 to 38.95.255.25438.95.255.255524,286
20538.96.0.0/1338.96.0.1 to 38.103.255.25438.103.255.255524,286
20638.104.0.0/1338.104.0.1 to 38.111.255.25438.111.255.255524,286
20738.112.0.0/1338.112.0.1 to 38.119.255.25438.119.255.255524,286
20838.120.0.0/1338.120.0.1 to 38.127.255.25438.127.255.255524,286
20938.128.0.0/1338.128.0.1 to 38.135.255.25438.135.255.255524,286
21038.136.0.0/1338.136.0.1 to 38.143.255.25438.143.255.255524,286
21138.144.0.0/1338.144.0.1 to 38.151.255.25438.151.255.255524,286
21238.152.0.0/1338.152.0.1 to 38.159.255.25438.159.255.255524,286
21338.160.0.0/1338.160.0.1 to 38.167.255.25438.167.255.255524,286
21438.168.0.0/1338.168.0.1 to 38.175.255.25438.175.255.255524,286
21538.176.0.0/1338.176.0.1 to 38.183.255.25438.183.255.255524,286
21638.184.0.0/1338.184.0.1 to 38.191.255.25438.191.255.255524,286
21738.192.0.0/1338.192.0.1 to 38.199.255.25438.199.255.255524,286
21838.200.0.0/1338.200.0.1 to 38.207.255.25438.207.255.255524,286
21938.208.0.0/1338.208.0.1 to 38.215.255.25438.215.255.255524,286
22038.216.0.0/1338.216.0.1 to 38.223.255.25438.223.255.255524,286
22138.224.0.0/1338.224.0.1 to 38.231.255.25438.231.255.255524,286
22238.232.0.0/1338.232.0.1 to 38.239.255.25438.239.255.255524,286
22338.240.0.0/1338.240.0.1 to 38.247.255.25438.247.255.255524,286
22438.248.0.0/1338.248.0.1 to 38.255.255.25438.255.255.255524,286
22539.0.0.0/1339.0.0.1 to 39.7.255.25439.7.255.255524,286
22639.8.0.0/1339.8.0.1 to 39.15.255.25439.15.255.255524,286
22739.16.0.0/1339.16.0.1 to 39.23.255.25439.23.255.255524,286
22839.24.0.0/1339.24.0.1 to 39.31.255.25439.31.255.255524,286
22939.32.0.0/1339.32.0.1 to 39.39.255.25439.39.255.255524,286
23039.40.0.0/1339.40.0.1 to 39.47.255.25439.47.255.255524,286
23139.48.0.0/1339.48.0.1 to 39.55.255.25439.55.255.255524,286
23239.56.0.0/1339.56.0.1 to 39.63.255.25439.63.255.255524,286
23339.64.0.0/1339.64.0.1 to 39.71.255.25439.71.255.255524,286
23439.72.0.0/1339.72.0.1 to 39.79.255.25439.79.255.255524,286
23539.80.0.0/1339.80.0.1 to 39.87.255.25439.87.255.255524,286
23639.88.0.0/1339.88.0.1 to 39.95.255.25439.95.255.255524,286
23739.96.0.0/1339.96.0.1 to 39.103.255.25439.103.255.255524,286
23839.104.0.0/1339.104.0.1 to 39.111.255.25439.111.255.255524,286
23939.112.0.0/1339.112.0.1 to 39.119.255.25439.119.255.255524,286
24039.120.0.0/1339.120.0.1 to 39.127.255.25439.127.255.255524,286
24139.128.0.0/1339.128.0.1 to 39.135.255.25439.135.255.255524,286
24239.136.0.0/1339.136.0.1 to 39.143.255.25439.143.255.255524,286
24339.144.0.0/1339.144.0.1 to 39.151.255.25439.151.255.255524,286
24439.152.0.0/1339.152.0.1 to 39.159.255.25439.159.255.255524,286
24539.160.0.0/1339.160.0.1 to 39.167.255.25439.167.255.255524,286
24639.168.0.0/1339.168.0.1 to 39.175.255.25439.175.255.255524,286
24739.176.0.0/1339.176.0.1 to 39.183.255.25439.183.255.255524,286
24839.184.0.0/1339.184.0.1 to 39.191.255.25439.191.255.255524,286
24939.192.0.0/1339.192.0.1 to 39.199.255.25439.199.255.255524,286
25039.200.0.0/1339.200.0.1 to 39.207.255.25439.207.255.255524,286
25139.208.0.0/1339.208.0.1 to 39.215.255.25439.215.255.255524,286
25239.216.0.0/1339.216.0.1 to 39.223.255.25439.223.255.255524,286
25339.224.0.0/1339.224.0.1 to 39.231.255.25439.231.255.255524,286
25439.232.0.0/1339.232.0.1 to 39.239.255.25439.239.255.255524,286
25539.240.0.0/1339.240.0.1 to 39.247.255.25439.247.255.255524,286
25639.248.0.0/1339.248.0.1 to 39.255.255.25439.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses